Bug 739996 - "shutdown" option hangs gnome-shell; same in gdm
Summary: "shutdown" option hangs gnome-shell; same in gdm
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-20 16:15 UTC by Ian Collier
Modified: 2012-08-07 17:51 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 17:51:53 UTC


Attachments (Terms of Use)

Description Ian Collier 2011-09-20 16:15:53 UTC
I have a newly installed and customised Fedora 15 box with gnome-shell-3.0.2-4, gnome-session-3.0.1 and gdm-3.0.4-1.fc15.x86_64 installed.

1. Log in
2. Click on the name at the top right, hold Alt and select shutdown
3. The "do you want to shut down" dialogue appears; click to confirm shutdown.

However, the machine does not shut down.  In addition, gnome-shell is now hung, in that clicking anywhere on the top bar has no effect; and the screen is still dim (as it was when the confirmation dialogue appeared).  There is now no GUI way to shut the machine down; it requires typing a shutdown command or going to a text console and pressing Ctrl-Alt-Del.

A similar effect appears on the gdm login screen:

1. Boot the machine
2. Press the button at the top right
3. Select "Restart" from the menu which appears.

Nothing further happens; gdm-simple-greeter is now stuck and will not do anything until I kill it, so nothing on the screen is clickable any more, and it won't redraw itself if I switch to a text console and back.

SELinux is disabled, incidentally.

We have other F15 boxes which do work, but this one fails every time.  Would appreciate some hints on how to debug this as I'm not familiar with how it's all supposed to work in GNOME 3.

Comment 1 Ian Collier 2011-09-21 11:56:21 UTC
OK, the root cause seems to be because console-kit-daemon is not starting up properly and so the dbus message to restart or shutdown doesn't get a reply.  That's a separate investigation, then.

But the bug here is that gnome-shell and gdm send the dbus message with a timeout of INT_MAX, which makes it hang forever if the ConsoleKit service is non-responsive for any reason.  Is that how it should work?

Comment 2 Alexei Panov 2012-01-21 14:21:26 UTC
I can confirm this bug for Fedora 16.
SELinux is enforced.
If I'll change a GDM to LXDM (as example), reboot and shutdown works fine.

Comment 3 Fedora End Of Life 2012-08-07 17:51:55 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.